import 'package:encrypt/encrypt.dart';

class AESUtil {
  ///加密
  static String encrypt(String aeskey, String plainText) {
    final key = Key.fromUtf8(aeskey);
    final iv = IV.fromLength(0);
    final encrypter = Encrypter(AES(key, mode: AESMode.ecb));
    return encrypter.encrypt(plainText, iv: iv).base64;
  }

  ///解密
  static String decrypt(String aeskey, String ciphertext) {
    final key = Key.fromUtf8(aeskey);
    final iv = IV.fromLength(0);
    final encrypter = Encrypter(AES(key, mode: AESMode.ecb));
    return encrypter.decrypt64(ciphertext, iv: iv);
  }
}
